Bug 683783 - guest kernel panic when boot with nmi_watchdog=1 [rhel-6.0.z]
Summary: guest kernel panic when boot with nmi_watchdog=1 [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 616296
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-10 11:34 UTC by RHEL Product and Program Management
Modified: 2013-01-11 03:51 UTC (History)
16 users (show)

Fixed In Version: kernel-2.6.32-71.20.1.el6
Doc Type: Bug Fix
Doc Text:
While not mandated by any specification, Linux systems rely on NMIs (Non-maskable Interrupts) being blocked by an IF-enabling (Interrupt Flag) STI instruction (an x86 instruction that enables interrupts; Set Interrupts); this is also the common behavior of all known hardware. Prior to this update, kernel panic could occur on guests using NMIs extensively (for example, a Linux system with the nmi_watchdog kernel parameter enabled). With this update, an NMI is disallowed when interrupts are blocked by an STI. This is done by checking for the condition and requesting an interrupt window exit if it occurs. As a result, kernel panic no longer occurs.
Clone Of:
Environment:
Last Closed: 2011-04-08 02:59:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0421 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-08 02:56:45 UTC

Description RHEL Product and Program Management 2011-03-10 11:34:04 UTC
This bug has been copied from bug #616296 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 4 Mike Cao 2011-04-01 12:27:01 UTC
Verified on kernel-2.6.32-71.24.1.el6

Referring bug #616296 ,this issue only fixed on Intel host

steps:
1.install a rhel5.6 guest
2.append nmi_watchdog=1 in guest cli
3.reboot guest 200 times


Actual Results:
no kernel panic occures

based on above ,this issue has been fixed .change status to VERIFIED.

Comment 5 errata-xmlrpc 2011-04-08 02:59:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0421.html

Comment 6 Martin Prpič 2011-04-12 12:45:31 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
While not mandated by any specification, Linux systems rely on NMIs (Non-maskable Interrupts) being blocked by an IF-enabling (Interrupt Flag) STI instruction (an x86 instruction that enables interrupts; Set Interrupts); this is also the common behavior of all known hardware. Prior to this update, kernel panic could occur on guests using NMIs extensively (for example, a Linux system with the nmi_watchdog kernel parameter enabled). With this update, an NMI is disallowed when interrupts are blocked by an STI. This is done by checking for the condition and requesting an interrupt window exit if it occurs. As a result, kernel panic no longer occurs.


Note You need to log in before you can comment on or make changes to this bug.